Loading...
Searching...
No Matches
L4drivers::Register_block_tmpl< BLOCK > Class Template Reference

Helper template that translates to the Register_block_base interface. More...

`#include <hw_register_block>`

Inheritance diagram for L4drivers::Register_block_tmpl< BLOCK >:
Collaboration diagram for L4drivers::Register_block_tmpl< BLOCK >:

## Detailed Description

template<typename BLOCK>
class L4drivers::Register_block_tmpl< BLOCK >

Helper template that translates to the Register_block_base interface.

Template Parameters

  BLOCK | The type of the Register_block_base interface to use.

This helper translates read<T>(), write<T>(), set<T>(), clear<T>(), and modify<T>() calls to BLOCK::do_read_<xx> and BLOCK::do_write_<xx>.

Definition at line 156 of file hw_register_block.

The documentation for this class was generated from the following file:

- pkg/drivers-frst/include/hw_register_block